<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/GardenBase/GardenPlot.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d42/_garden_plot_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">GardenPlot.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d42/_garden_plot_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html">    1</a></span><span class="keyword">class </span>GardenPlot <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d7e/class_garden_base.html">GardenBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#acf4ffb63fbb50dc759ff6ad3f0c2d058">    3</a></span>    <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>  <a class="code hl_variable" href="../../df/d7e/class_garden_base.html#acf4ffb63fbb50dc759ff6ad3f0c2d058">m_ClutterCutter</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a820c1e1701912258c1457cd865cae598">    4</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">int</span> GARDEN_SLOT_COUNT = 9;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a2d86a99e4dcd59850f8179bf627621de">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a2d86a99e4dcd59850f8179bf627621de">GardenPlot</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        SetBaseFertility(0.5);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a629ed40c93ad1eff6e74ed683e700686">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a629ed40c93ad1eff6e74ed683e700686">EEInit</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {   </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        super.EEInit();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }   </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#aaa9cfabde0704a03205296543a8e7955">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#aaa9cfabde0704a03205296543a8e7955">OnStoreLoad</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {               </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> ( !super.OnStoreLoad(ctx, version) )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a> )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {       </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aa43d24a500987d3a093913ad7551dff8">CreateObjectEx</a>( <span class="stringliteral">&quot;ClutterCutter6x6&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a> );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>.SetOrientation( <a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>() );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a13d76178e41c8e25b56765f7ce934090">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a13d76178e41c8e25b56765f7ce934090">EEDelete</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        super.EEDelete(parent);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>  &amp;&amp;  <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>())</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#af2d3ca6b396587b08c0f5aee95250ee2">ObjectDelete</a>(<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a> = NULL;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a5c962d68d40cee08afa2ac9c3900b51b">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a5c962d68d40cee08afa2ac9c3900b51b">IsInventoryVisible</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#af265dd2e45bf436b08fac8edca6e6000">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#af265dd2e45bf436b08fac8edca6e6000">GetGardenSlotsCount</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d7e/class_garden_base.html#a820c1e1701912258c1457cd865cae598">GARDEN_SLOT_COUNT</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a3fd7945fcb12d6f0f2c75b40701b6153">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a3fd7945fcb12d6f0f2c75b40701b6153">RefreshSlots</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_1&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_2&quot;</span>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_3&quot;</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_4&quot;</span>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_5&quot;</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_6&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_7&quot;</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_8&quot;</span>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_9&quot;</span>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_01&quot;</span>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_02&quot;</span>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_03&quot;</span>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_04&quot;</span>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_05&quot;</span>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_06&quot;</span>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_07&quot;</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_08&quot;</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;slotCovered_09&quot;</span>);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// ADVANCED PLACEMENT</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#a8020998e7f27286b3809c7b637ccf713">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a8020998e7f27286b3809c7b637ccf713">OnPlacementStarted</a>( Man player )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a3fd7945fcb12d6f0f2c75b40701b6153">RefreshSlots</a>();</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#af4df982dc99c755405d81aa4cdcb61d8">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#af4df982dc99c755405d81aa4cdcb61d8">OnHologramBeingPlaced</a>( Man player )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_function" href="../../df/d7e/class_garden_base.html#a3fd7945fcb12d6f0f2c75b40701b6153">RefreshSlots</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#adc89978824faa06345f7ecc70a6617fd">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#adc89978824faa06345f7ecc70a6617fd">OnPlacementComplete</a>( Man player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = <span class="stringliteral">&quot;0 0 0&quot;</span>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        super.OnPlacementComplete( player, position, orientation );</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player_base = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast( player );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="comment">//vector pos = player_base.GetLocalProjectionPosition();</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="comment">//vector ori = player_base.GetLocalProjectionOrientation();</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="comment">// To properly move the clutter cutter from spawn position, it must be deleted and created again.</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>)</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#af2d3ca6b396587b08c0f5aee95250ee2">ObjectDelete</a>(<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a> = NULL;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>)</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            {       </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aa43d24a500987d3a093913ad7551dff8">CreateObjectEx</a>( <span class="stringliteral">&quot;ClutterCutter6x6&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a> );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <a class="code hl_variable" href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a>.SetOrientation( orientation );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../df/d7e/class_garden_base.html#accbe8f484b055d401d48c497804a295e">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7e/class_garden_base.html#accbe8f484b055d401d48c497804a295e">CanBePlaced</a>( Man player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordtype">string</span> surface_type;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a3af92f512be5391bfb06b274a911d777">SurfaceGetType3D</a>( position[0], position[1], position[2], surface_type );</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53361f0f1a9757e961d5a9fa19b77e30">IsSurfaceFertile</a>(surface_type);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>}</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="comment">//class GardenPlotOutside : GardenPlot {}</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="keyword">class </span>GardenPlotPolytunnel : GardenPlot</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>{</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d6/d42/_garden_plot_8c.html#a67201ea2aa2b3045051e76d6997149e9">  124</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d42/_garden_plot_8c.html#a67201ea2aa2b3045051e76d6997149e9">POLYTUNNEL_SLOT_COUNT</a> = 13;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d6/d42/_garden_plot_8c.html#a8fab5d6155c085b8cbfc201bc606fa77">  125</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d42/_garden_plot_8c.html#a8fab5d6155c085b8cbfc201bc606fa77">GetGardenSlotsCount</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d42/_garden_plot_8c.html#a67201ea2aa2b3045051e76d6997149e9">POLYTUNNEL_SLOT_COUNT</a>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d6/d42/_garden_plot_8c.html#ad7b47351ee701714a38342016223d26a">  130</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d42/_garden_plot_8c.html#ae8209cc890a571f50ffc01dc50b85619">RefreshSlots</a>()</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_1&quot;</span>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_2&quot;</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_3&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_4&quot;</span>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_5&quot;</span>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_6&quot;</span>);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_7&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_8&quot;</span>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_9&quot;</span>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_10&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_11&quot;</span>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_12&quot;</span>);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a>(<span class="stringliteral">&quot;SeedBase_13&quot;</span>);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>}</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d9/d28/class_garden_plot_greenhouse.html">  147</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d28/class_garden_plot_greenhouse.html">GardenPlotGreenhouse</a> : GardenPlot {}</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="keyword">class </span>GardenPlotPlacing <span class="keyword">extends</span> GardenPlot</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>{</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/dc4/_test_framework_8c.html#a32e784d798cbf31e1c3214168eefda85">EOnInit</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">int</span> extra) {};</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d42/_garden_plot_8c.html#ae8209cc890a571f50ffc01dc50b85619">RefreshSlots</a>() {};</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d6/d42/_garden_plot_8c.html#a19a416b2d4b8fce38f900c38a463d22c">  153</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d42/_garden_plot_8c.html#a19a416b2d4b8fce38f900c38a463d22c">SyncSlots</a>() {};</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a1fb725a4df8baab6f2282f6bb9ea6b96"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a1fb725a4df8baab6f2282f6bb9ea6b96">HideSelection</a></div><div class="ttdeci">void HideSelection(string selection_name)</div><div class="ttdoc">Hides selection of the given name. Must be configed in config.cpp and models.cfg.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02244">EntityAI.c:2244</a></div></div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_a4389063907bd8acede7114e3887d6102"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a></div><div class="ttdeci">const int ECE_PLACE_ON_SURFACE</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00034">CentralEconomy.c:34</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_fireplace_base_8c_html_a3ea58531d7a583853e12909d2d803f03"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a3ea58531d7a583853e12909d2d803f03">m_ClutterCutter</a></div><div class="ttdeci">protected Object m_ClutterCutter</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l00209">FireplaceBase.c:209</a></div></div>
<div class="ttc" id="a_garden_plot_8c_html_a19a416b2d4b8fce38f900c38a463d22c"><div class="ttname"><a href="../../d6/d42/_garden_plot_8c.html#a19a416b2d4b8fce38f900c38a463d22c">SyncSlots</a></div><div class="ttdeci">override void SyncSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00153">GardenPlot.c:153</a></div></div>
<div class="ttc" id="a_garden_plot_8c_html_a67201ea2aa2b3045051e76d6997149e9"><div class="ttname"><a href="../../d6/d42/_garden_plot_8c.html#a67201ea2aa2b3045051e76d6997149e9">POLYTUNNEL_SLOT_COUNT</a></div><div class="ttdeci">class GardenPlot extends GardenBase POLYTUNNEL_SLOT_COUNT</div></div>
<div class="ttc" id="a_garden_plot_8c_html_a8fab5d6155c085b8cbfc201bc606fa77"><div class="ttname"><a href="../../d6/d42/_garden_plot_8c.html#a8fab5d6155c085b8cbfc201bc606fa77">GetGardenSlotsCount</a></div><div class="ttdeci">override int GetGardenSlotsCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00125">GardenPlot.c:125</a></div></div>
<div class="ttc" id="a_garden_plot_8c_html_ae8209cc890a571f50ffc01dc50b85619"><div class="ttname"><a href="../../d6/d42/_garden_plot_8c.html#ae8209cc890a571f50ffc01dc50b85619">RefreshSlots</a></div><div class="ttdeci">override void RefreshSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00130">GardenPlot.c:130</a></div></div>
<div class="ttc" id="a_object_8c_html_a25741202afb6807f192843d19acb37a4"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a></div><div class="ttdeci">proto native vector GetOrientation()</div><div class="ttdoc">Retrieve orientation (yaw, pitch, roll) in degrees</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00306">AreaDamageManager.c:306</a></div></div>
<div class="ttc" id="a_test_framework_8c_html_a32e784d798cbf31e1c3214168eefda85"><div class="ttname"><a href="../../d6/dc4/_test_framework_8c.html#a32e784d798cbf31e1c3214168eefda85">EOnInit</a></div><div class="ttdeci">protected override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc4/_test_framework_8c_source.html#l00201">TestFramework.c:201</a></div></div>
<div class="ttc" id="aclass_c_game_html_a3af92f512be5391bfb06b274a911d777"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a3af92f512be5391bfb06b274a911d777">CGame::SurfaceGetType3D</a></div><div class="ttdeci">proto void SurfaceGetType3D(float x, float y, float z, out string type)</div></div>
<div class="ttc" id="aclass_c_game_html_a53361f0f1a9757e961d5a9fa19b77e30"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53361f0f1a9757e961d5a9fa19b77e30">CGame::IsSurfaceFertile</a></div><div class="ttdeci">bool IsSurfaceFertile(string surface)</div><div class="ttdoc">Checks if the surface is fertile.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01055">Game.c:1055</a></div></div>
<div class="ttc" id="aclass_c_game_html_aa43d24a500987d3a093913ad7551dff8"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aa43d24a500987d3a093913ad7551dff8">CGame::CreateObjectEx</a></div><div class="ttdeci">proto native Object CreateObjectEx(string type, vector pos, int iFlags, int iRotation=RF_DEFAULT)</div><div class="ttdoc">Creates object of certain type.</div></div>
<div class="ttc" id="aclass_c_game_html_af2d3ca6b396587b08c0f5aee95250ee2"><div class="ttname"><a href="../../d2/de6/class_c_game.html#af2d3ca6b396587b08c0f5aee95250ee2">CGame::ObjectDelete</a></div><div class="ttdeci">proto native void ObjectDelete(Object obj)</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_garden_base_html"><div class="ttname"><a href="../../df/d7e/class_garden_base.html">GardenBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00001">GardenPlot.c:2</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a13d76178e41c8e25b56765f7ce934090"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a13d76178e41c8e25b56765f7ce934090">GardenBase::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00030">GardenPlot.c:30</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a2d86a99e4dcd59850f8179bf627621de"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a2d86a99e4dcd59850f8179bf627621de">GardenBase::GardenPlot</a></div><div class="ttdeci">void GardenPlot()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00006">GardenPlot.c:6</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a3fd7945fcb12d6f0f2c75b40701b6153"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a3fd7945fcb12d6f0f2c75b40701b6153">GardenBase::RefreshSlots</a></div><div class="ttdeci">void RefreshSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00051">GardenPlot.c:51</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a5c962d68d40cee08afa2ac9c3900b51b"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a5c962d68d40cee08afa2ac9c3900b51b">GardenBase::IsInventoryVisible</a></div><div class="ttdeci">override bool IsInventoryVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00041">GardenPlot.c:41</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a629ed40c93ad1eff6e74ed683e700686"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a629ed40c93ad1eff6e74ed683e700686">GardenBase::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00011">GardenPlot.c:11</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a8020998e7f27286b3809c7b637ccf713"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a8020998e7f27286b3809c7b637ccf713">GardenBase::OnPlacementStarted</a></div><div class="ttdeci">override void OnPlacementStarted(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00077">GardenPlot.c:77</a></div></div>
<div class="ttc" id="aclass_garden_base_html_a820c1e1701912258c1457cd865cae598"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#a820c1e1701912258c1457cd865cae598">GardenBase::GARDEN_SLOT_COUNT</a></div><div class="ttdeci">private const int GARDEN_SLOT_COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00004">GardenPlot.c:4</a></div></div>
<div class="ttc" id="aclass_garden_base_html_aaa9cfabde0704a03205296543a8e7955"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#aaa9cfabde0704a03205296543a8e7955">GardenBase::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00016">GardenPlot.c:16</a></div></div>
<div class="ttc" id="aclass_garden_base_html_accbe8f484b055d401d48c497804a295e"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#accbe8f484b055d401d48c497804a295e">GardenBase::CanBePlaced</a></div><div class="ttdeci">override bool CanBePlaced(Man player, vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00112">GardenPlot.c:112</a></div></div>
<div class="ttc" id="aclass_garden_base_html_acf4ffb63fbb50dc759ff6ad3f0c2d058"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#acf4ffb63fbb50dc759ff6ad3f0c2d058">GardenBase::m_ClutterCutter</a></div><div class="ttdeci">Object m_ClutterCutter</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00003">GardenPlot.c:3</a></div></div>
<div class="ttc" id="aclass_garden_base_html_adc89978824faa06345f7ecc70a6617fd"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#adc89978824faa06345f7ecc70a6617fd">GardenBase::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00087">GardenPlot.c:87</a></div></div>
<div class="ttc" id="aclass_garden_base_html_af265dd2e45bf436b08fac8edca6e6000"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#af265dd2e45bf436b08fac8edca6e6000">GardenBase::GetGardenSlotsCount</a></div><div class="ttdeci">override int GetGardenSlotsCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00046">GardenPlot.c:46</a></div></div>
<div class="ttc" id="aclass_garden_base_html_af4df982dc99c755405d81aa4cdcb61d8"><div class="ttname"><a href="../../df/d7e/class_garden_base.html#af4df982dc99c755405d81aa4cdcb61d8">GardenBase::OnHologramBeingPlaced</a></div><div class="ttdeci">override void OnHologramBeingPlaced(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00082">GardenPlot.c:82</a></div></div>
<div class="ttc" id="aclass_garden_plot_greenhouse_html"><div class="ttname"><a href="../../d9/d28/class_garden_plot_greenhouse.html">GardenPlotGreenhouse</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00147">GardenPlot.c:147</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_09fe2278346d735e2d7fd0b7a3de6974.html">GardenBase</a></li><li class="navelem"><a class="el" href="../../d6/d42/_garden_plot_8c.html">GardenPlot.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
